"""Peewee migrations -- 082_MAIN.py."""

import peewee as pw
from peewee_migrate import Migrator

try:
    import playhouse.postgres_ext as pw_pext
except ImportError:
    pass

SQL = pw.SQL


def migrate(migrator: Migrator, database, fake=False, **kwargs):
    migrator.add_index('price', 'recipe', 'customer', unique=True)


def rollback(migrator: Migrator, database, fake=False, **kwargs):
    migrator.drop_index('price', 'recipe', 'customer')
